<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>02</title>

<link rel="stylesheet" href="../../../style.css" type="text/css" />

<link rel="stylesheet" href="../../../navbar.css" type="text/css" />


<link rel="stylesheet" href="../../../local.css" type="text/css" />










</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../../../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../../../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../../../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 

<a href="../../">archives</a>/ 

<a href="../">2014</a>/ 


</span>
<span class="title">
02

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"><a href="../01/" title="January">&larr;</a></th>
    <th class="month-calendar-head" colspan="5"><span class="selflink">Feb 2014</span></th>
    <th class="month-calendar-arrow"><a href="../03/" title="March">&rarr;</a></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-noday Sunday">&nbsp;</td>
        <td class="month-calendar-day-noday Monday">&nbsp;</td>
        <td class="month-calendar-day-noday Tuesday">&nbsp;</td>
        <td class="month-calendar-day-noday Wednesday">&nbsp;</td>
        <td class="month-calendar-day-noday Thursday">&nbsp;</td>
        <td class="month-calendar-day-noday Friday">&nbsp;</td>
        <td class="month-calendar-day-nolink Saturday">1</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">2</td>
        <td class="month-calendar-day-nolink Monday">3</td>
        <td class="month-calendar-day-nolink Tuesday">4</td>
        <td class="month-calendar-day-nolink Wednesday">5</td>
        <td class="month-calendar-day-nolink Thursday">6</td>
        <td class="month-calendar-day-nolink Friday">7</td>
        <td class="month-calendar-day-nolink Saturday">8</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">9</td>
        <td class="month-calendar-day-nolink Monday">10</td>
        <td class="month-calendar-day-nolink Tuesday">11</td>
        <td class="month-calendar-day-nolink Wednesday">12</td>
        <td class="month-calendar-day-nolink Thursday">13</td>
        <td class="month-calendar-day-nolink Friday">14</td>
        <td class="month-calendar-day-nolink Saturday">15</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">16</td>
        <td class="month-calendar-day-nolink Monday">17</td>
        <td class="month-calendar-day-nolink Tuesday">18</td>
        <td class="month-calendar-day-nolink Wednesday">19</td>
        <td class="month-calendar-day-nolink Thursday">20</td>
        <td class="month-calendar-day-nolink Friday">21</td>
        <td class="month-calendar-day-link Saturday"><div class="popup">22<div class="balloon"><ul>
            <li><a href="../../../templates/" title="templates">templates</a></li>
        </ul></div></div></td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">23</td>
        <td class="month-calendar-day-nolink Monday">24</td>
        <td class="month-calendar-day-nolink Tuesday">25</td>
        <td class="month-calendar-day-nolink Wednesday">26</td>
        <td class="month-calendar-day-nolink Thursday">27</td>
        <td class="month-calendar-day-nolink Friday">28</td>
        <td class="month-calendar-day-noday Saturday">&nbsp;</td>
    </tr>
</table>
</div></div>


</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../../../"><span>Home</span></a></li>
  <li><a href="../../../About_Us/"><span>About Us</span></a></li>
  <li><a href="../../../Programme/"><span>Programme</span></a></li>
  <li><a href="../../../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../../../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../../../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../../../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">


<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../templates/">templates</a>

</header>
</section>

<section class="inlinecontent">
<p><a href="../../../ikiwiki/">Ikiwiki</a> uses many templates for many purposes. By editing its templates,
you can fully customise its appearance, and avoid duplicate content.</p>

<p>Ikiwiki uses the HTML::Template module as its template engine. This
supports things like conditionals and loops in templates and is pretty
easy to learn. All you really need to know to modify templates is this:</p>

<ul>
<li>To insert the value of a template variable, use <code>&lt;TMPL_VAR variable&gt;</code>.</li>
<li>To make a block of text conditional on a variable being set use
<code>&lt;TMPL_IF variable&gt;text&lt;/TMPL_IF&gt;</code>.</li>
<li>To use one block of text if a variable is set and a second if it's not,
use <code>&lt;TMPL_IF variable&gt;text&lt;TMPL_ELSE&gt;other text&lt;/TMPL_IF&gt;</code></li>
</ul>


<h2>template pages</h2>

<p>Template pages are regular wiki pages containing a
<a href="http://ikiwiki.info/ikiwiki/directive/templatebody/">templatebody directive</a>,
used as templates for other pages. The parts of the template
page outside the directive can be used to document it.</p>

<p>The <a href="http://ikiwiki.info/ikiwiki/directive/template/">template directive</a> allows
template pages to be filled out and inserted into other pages in the wiki.</p>

<p>These template pages are currently available:</p>

<p>

<a href="../../../templates/note/">note</a>

</p>


<p>

<a href="../../../templates/popup/">popup</a>

</p>


<p>If the template does not contain a <code>templatebody</code> directive, the entire
source of the page is used for the template. This is deprecated.</p>

<h2>template files</h2>

<p>Template files are unlike template pages in that they have the extension
<code>.tmpl</code>. Template files are used extensively by Ikiwiki to generate html.
They can contain html that would not normally be allowed on a wiki page.</p>

<p>Template files are located in <code>/usr/share/ikiwiki/templates</code> by default;
the <code>templatedir</code> setting can be used to make another directory be
searched first. Customised template files can also be placed inside the
"templates/" directory in your wiki's source -- files placed there override
ones in the <code>templatedir</code>.</p>

<p>Here is a full list of the template files used:</p>

<ul>
<li><p><code>page.tmpl</code> - Used for displaying all regular wiki pages. This is the
key template to customise to change the look and feel of Ikiwiki.</p></li>
<li><p><code>rsspage.tmpl</code> - Used for generating rss feeds for blogs.</p></li>
<li><code>rssitem.tmpl</code> - Used for generating individual items on rss feeds.</li>
<li><code>atompage.tmpl</code> - Used for generating atom feeds for blogs.</li>
<li><code>atomitem.tmpl</code> - Used for generating individual items on atom feeds.</li>
<li><code>inlinepage.tmpl</code> - Used for displaying a post in a blog.</li>
<li><code>archivepage.tmpl</code> - Used for listing a page in a blog archive page.</li>
<li><code>titlepage.tmpl</code> - Used for listing a page by title in a blog archive page.</li>
<li><code>microblog.tmpl</code> - Used for showing a microblogging post inline.</li>
<li><code>blogpost.tmpl</code> - Used for a form to add a post to a blog (and rss/atom links)</li>
<li><code>feedlink.tmpl</code> - Used to add rss/atom links if <code>blogpost.tmpl</code> is not used.</li>
<li><code>aggregatepost.tmpl</code> - Used by the aggregate plugin to create
a page for a post.</li>
<li><code>searchform.tmpl</code>, <code>googleform.tmpl</code> - Used by the search plugin
and google plugin to add search forms to wiki pages.</li>
<li><code>searchquery.tmpl</code> - This is a Omega template, used by the
search plugin.</li>
<li><code>comment.tmpl</code> - Used by the comments plugin to display a comment.</li>
<li><code>change.tmpl</code> - Used to create a page describing a change made to the wiki.</li>
<li><code>recentchanges.tmpl</code> - Used for listing a change on the RecentChanges page.</li>
<li><code>autoindex.tmpl</code> - Filled in by the autoindex plugin to make index pages.</li>
<li><code>autotag.tmpl</code> - Filled in by the tag plugin to make tag pages.</li>
<li><code>calendarmonth.tmpl</code>, <code>calendaryear.tmpl</code> - Used by ikiwiki-calendar to
make calendar archive pages.</li>
<li><code>trails.tmpl</code> - Used by the trail plugin to generate links on each page
that is a member of a trail.</li>
<li><code>notifyemail.tmpl</code> - Used by the notifymail plugin to generate mails about
changed pages.</li>
<li><code>editpage.tmpl</code>, <code>editconflict.tmpl</code>, <code>editcreationconflict.tmpl</code>,
<code>editfailedsave.tmpl</code>, <code>editpagegone.tmpl</code>, <code>pocreatepage.tmpl</code>,
<code>editcomment.tmpl</code> <code>commentmoderation.tmpl</code>, <code>renamesummary.tmpl</code>,
<code>passwordmail.tmpl</code>, <code>openid-selector.tmpl</code>, <code>revert.tmpl</code> - Parts of ikiwiki's user
interface; do not normally need to be customised.</li>
</ul>


</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-02-21T22:45:29Z" pubdate="pubdate">Sat 22 Feb 2014 11:45:29 NZDT</time>
</span>









</footer>

</article>





</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">











<div class="pagedate">
Last edited <time datetime="2014-11-09T09:16:24Z">Sun 09 Nov 2014 22:16:24 NZDT</time>
<!-- Created <time datetime="2014-11-09T09:16:24Z" pubdate="pubdate">Sun 09 Nov 2014 22:16:24 NZDT</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
